Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  package xml
  Definition Classes
    parser
- BracePair
- BracePatch
- Change
- CommonTokens
- Deletion
- Insertion
- MarkupParsers
- Parsers
- ParsersCommon
- Patch
- Scanners
- ScannersCommon
- SymbolicXMLBuilder
- SyntaxAnalyzer
- Tokens
- TreeBuilder

t

scala.tools.nsc.ast.parser

# Scanners

###

#### trait Scanners extends ScannersCommon

Source
  Scanners.scala

Linear Supertypes
ScannersCommon, AnyRef, Any
Known Subclasses
CaseParser, ForEnumeratorParser, Parser, PatternParser, TermParser, TypeParser, Parsers, SyntaxAnalyzer, ScaladocSyntaxAnalyzer
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Scanners
2. ScannersCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class MalformedInput extends Exception
2.  type Offset = Int

   Offset into source character array

   Offset into source character array

   Definition Classes
     ScannersCommon
3.  class ParensAnalyzer extends UnitScanner
4.  abstract class Scanner extends CharArrayReader with TokenData with ScannerData with ScannerCommon with DocScanner
5.  trait ScannerData extends TokenData with CharArrayReaderData

   An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

6.  class SourceFileScanner extends Scanner

   A scanner for a given source file not necessarily attached to a compilation unit.

   A scanner for a given source file not necessarily attached to a compilation unit. Useful for looking inside source files that are not currently compiled to see what's there

7.  type Token = Int
   Definition Classes
     ScannersCommon
8.  trait TokenData extends CommonTokenData
9.  class UnitScanner extends SourceFileScanner

   A scanner over a given compilation unit

10.  trait CommonTokenData extends AnyRef
    Definition Classes
      ScannersCommon
11.  trait DocScanner extends AnyRef
    Definition Classes
      ScannersCommon
12.  trait ScannerCommon extends CommonTokenData
    Definition Classes
      ScannersCommon

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     Scanners → ScannersCommon

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Scanners toany2stringadd[Scanners] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Scanners, B)
   Implicit
     This member is added by an implicit conversion from Scanners toArrowAssoc[Scanners] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def createKeywordArray(keywords: Seq[(Global.Name, Token)], defaultToken: Token): (Token, Array[Token])
   Definition Classes
     ScannersCommon
9.  def ensuring(cond: (Scanners) => Boolean, msg: => Any): Scanners
   Implicit
     This member is added by an implicit conversion from Scanners toEnsuring[Scanners] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Scanners) => Boolean): Scanners
    Implicit
      This member is added by an implicit conversion from Scanners toEnsuring[Scanners] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Scanners
    Implicit
      This member is added by an implicit conversion from Scanners toEnsuring[Scanners] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Scanners
    Implicit
      This member is added by an implicit conversion from Scanners toEnsuring[Scanners] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Scanners toStringFormat[Scanners] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final val token2name: Map[Int, Global.Name]
26.  def token2string(token: Token): String

    Returns the string representation of given token.

27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Scanners, B)
   Implicit
     This member is added by an implicit conversion from Scanners toArrowAssoc[Scanners] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ScannersCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromScanners to any2stringadd[Scanners]

### Inherited by implicit conversion StringFormat fromScanners to StringFormat[Scanners]

### Inherited by implicit conversion Ensuring fromScanners to Ensuring[Scanners]

### Inherited by implicit conversion ArrowAssoc fromScanners to ArrowAssoc[Scanners]

### Ungrouped